Package org.apache.cxf.common.util

# Class PropertiesLoaderUtils

java.lang.Object
org.apache.cxf.common.util.PropertiesLoaderUtils

public final class PropertiesLoaderUtils extends Object
Replace by org.springframework.core.io.support.PropertiesLoaderUtils when moving to Spring 2.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Properties`
  `loadAllProperties(String resourceName, ClassLoader classLoader)`
  Load all properties from the given class path resource, using the given class loader.
  `static Properties`
  `loadAllProperties(String resourceName, ClassLoader classLoader, Logger logger, Level level, String msg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### loadAllProperties

    public static Properties loadAllProperties(String resourceName, ClassLoader classLoader) throws IOException
    Load all properties from the given class path resource, using the given class loader.

    Merges properties if more than one resource of the same name found in the class path.

    Parameters:
      `resourceName` - the name of the class path resource
      `classLoader` - the ClassLoader to use for loading (or `null` to use the default class loader)
    Returns:
      the populated Properties instance
    Throws:
      `IOException` - if loading failed

  - ### loadAllProperties

    public static Properties loadAllProperties(String resourceName, ClassLoader classLoader, Logger logger, Level level, String msg) throws IOException
    Throws:
      `IOException`